gfs2_trace(8)

NAME
gfs2_trace - can enable trace events, disable trace events, and capture data from GFS2 trace events.

SYNOPSIS
gfs2_trace [-dqEN] [-e trace event name] [-n trace event name] [-o output filename]

DESCRIPTION
gfs2_trace can enabled and disable trace events on all trace events or selected trace events. gfs2_trace can capture the output of the trace events and write the output to a file. When capturing trace events, the script will exit when control-c is pressed. The trace events will be then written to the selected file.

OPTIONS

-h,  --help
    Prints out a short usage message and exits.

-d,  --debug
    enables debug logging.

-q,  --quiet
    disables logging to console.

-l,  --list
    lists the enabled state and filters for the GFS2 trace events

-E,  --enable_all_trace_events
    enables all trace_events for GFS2

-e <trace event name>, ----enable_trace_event=<trace event name>
    selected trace_events that will be enabled for GFS2

-N,  --disable_all_trace_events
    disables all trace_events for GFS2

-n <trace event name>, ----disable_trace_event=<trace event name>
    selected trace_events that will be enabled for GFS2

-c <output filename>, --capture=<output filename>
    enables capturing of trace events and will save the data to a file

SEE ALSO